
#### SHARED PATHS
## bstring paths - Public
bstring_iso_configs = '~/bubbles/iso_configs'
bstring_iso_conifgs_fusato = '~/bubbles/iso_configs/fusato'
# CHROOT
WPCHROOT = "fusato/config/includes.chroot"

##########################################
## Associated to inflate_bubble.py paths
# Desktop Environments

de_path = '/config/package-lists/'

# fusato folders to create
make_folders = [
                '/config/includes.chroot/usr/share/distro-info/',
                '/config/includes.chroot/usr/share/python-apt/templates/',
                '/config/includes.chroot/usr/share/icons/default',
                '/config/includes.chroot/usr/share/peppermint/',
                '/config/includes.chroot/usr/share/themes/',
                '/config/includes.chroot/usr/local/bin/',
                '/config/includes.chroot/usr/bin/',
                '/config/includes.chroot/usr/sbin',
                '/config/includes.chroot/etc/lightdm',
                '/config/includes.bootstrap/etc/apt',
                '/config/includes.chroot/etc/default',
                '/config/includes.chroot/etc/apt',
                '/config/includes.chroot/etc/apt/preferences.d',
                '/config/includes.chroot/etc/apt/sources.list.d',
                '/config/includes.chroot/etc/skel/Desktop',
                '/config/includes.chroot/etc/skel/.local/share',
                '/config/includes.chroot/etc/skel/.config/autostart/'
                ]
# End Inflate Bubble Paths

# Nightly paths

nightly_paths = [
                 '/var/www/html/nightly/deb32',
                 '/var/www/html/nightly/dev32',
                 '/var/www/html/nightly/deb64',
                 '/var/www/html/nightly/dev64',
                 '/var/www/html/nightly/devarm',
                 '/var/www/html/nightly/debarm'
                 ]


#########################################
### Associated to copy_files_specified.py
## Specified Files
#Alias things
src_alias = '/aliases/bash_aliases'
des_alias = '/etc/skel/.bash_aliases'

# Xdaily things
src_xdaily = '/PepProTools/xDaily'
des_xdaily = '/usr/local/bin/xDaily'

# Hub things
src_hub = '/PepProTools/hub'
des_hub = '/usr/local/bin/hub'

# Welcome things
src_welcome = '/PepProTools/welcome'
des_welcome = '/usr/local/bin/welcome'

# Kumo things
src_kumo = '/PepProTools/kumo'
des_kumo = '/usr/local/bin/kumo'

# Lightdm things
src_lightdm = '/lightdm/lightdm.conf'
des_lightdm = '/etc/lightdm/lightdm.conf'
src_lightdm_greeter = '/lightdm/lightdm-gtk-greeter.conf'
des_lightdm_greeter = '/fusato/config/includes.chroot/etc/lightdm/lightdm-gtk-greeter.conf'

# Plymouth things
src_ply = '/plymouth/plymouthd.conf'
des_ply = '/fusato/config/includes.chroot/usr/share/plymouthd.conf'

# Desktop-base things
src_dbase_grub = '/desktop_base/lines-theme/grub'
src_dbase_lockscreen = '/desktop_base/lines-theme/lockscreen'
src_dbase_login = '/desktop_base/lines-theme/login'
src_dbase_wallpaper = '/desktop_base/lines-theme/wallpaper'
des_dbase_grub = '/usr/share/desktop-base/lines-theme/grub'
des_dbase_lockscreen = '/usr/share/desktop-base/lines-theme/lockscreen'
des_dbase_login = '/usr/share/desktop-base/lines-theme/login'
des_dbase_wallpaper = '/usr/share/desktop-base/lines-theme/wallpaper'


# Symlinks
pep_info = '/usr/share/python-apt/templates/Peppermint.info'
pep_mirror = '/usr/share/python-apt/templates/Peppermint.mirrors'
pep_csv = '/usr/share/distro-info/peppermint.csv'

# Plank things
src_plank = '/application/plank.desktop'
des_plank = '/etc/skel/.config/autostart/plank.desktop'

### End of copy_file_specified.py


############################################
### Associated to copy_folders.py
## copy_folder_files

# Plymouth Things
src_ply_lines = '/plymouth/lines'
des_ply_lines = '/usr/share/plymouth/themes/lines'

# Application things
src_apps = '/application'
des_apps = '/usr/share/applications'

# Font things
src_font = '/font'
des_font = '/usr/share/fonts/pepconf'

# hooks things
src_hooks_live = '/hooks/live'
des_hooks_live = '/usr/lib/live/config'

src_hooks_normal = '/hooks/normal'
des_hooks_normal = '/fusato/config/hooks/normal'


# Issue things
src_issue = '/issue'
des_issue = '/fusato/config/includes.bootstrap/etc'
des_issue_etc = '/etc'
des_issues_opt  = '/opt/pepconf'

# Polkit things
src_polkit = '/polkit'
des_polkit = '/usr/share/polkit-1/actions'

# Database things
src_database = '/database'
des_database = '/opt/pypep/dbpep'

# User Config things
src_user_configs = '/user_config'
des_user_configs = '/etc/live/config.conf.d'

# Pixmaps things
src_pixmaps = '/PepProPixMaps'
des_pixmaps = '/usr/share/pixmaps'

# Wallpaper things
src_wallpaper = '/wallpaper'
des_wallpaper = '/usr/share/backgrounds'

# Menu things
src_menu = '/menu/menus'
des_menu = '/etc/skel/.config/menus'

# Xfce4 things
src_xfce = '/xfce/xfce4'
des_xfce = '/etc/skel/.config/xfce4'

# user face profile things
src_face = '/face'
des_face = '/etc/skel/'

# neofecth things
src_neo_fetch = '/neofetch/neofetch'
des_neo_fetch = '/etc/skel/.config/neofetch'

# Thunar things
src_thunar = '/xfce/Thunar'
des_thunar = '/etc/skel/.config/Thunar'

# Pep Tools things
src_pmostools = '/pmostools'
des_pmostools = '/etc/skel/.local/share/pmostools'

# Autostart Things
src_auto_start = '/autostart'
des_auto_start ='/etc/skel/.config/autostart'

# Python Libs
src_pylibs = '/pylibraries'
des_pylibs = '/usr/lib/python3/dist-packages'

#Theme things
src_debian_dark = '/theme/Marwaita?Dark?Debian '
src_manjaro_dark = '/theme/Marwaita?Dark?Manjaro '
src_peppermint_dark = '/theme/Marwaita?Dark?Peppermint '
src_debian = '/theme/Marwaita?Debian '
src_manjaro = '/theme/Marwaita?Manjaro '
src_peppermint = '/theme/Marwaita?Peppermint '
des_themes = '/fusato/config/includes.chroot/usr/share/themes'

# icon things
src_tela_blue_dark = '/icons/Tela-circle-blue-dark '
src_tela_green_dark = '/icons/Tela-circle-green-dark '
src_tela_red_dark = '/icons/Tela-circle-red-dark '
src_tela_blue_base = '/icons/Tela-circle-blue '
src_tela_green_base = '/icons/Tela-circle-green '
src_tela_red_base = '/icons/Tela-circle-red '
src_tela = '/icons/Tela-circle '
des_icons = '/fusato/config/includes.chroot/usr/share/icons'
### End Copy Folders

##########################################################
### Arch Specific Paths.
# Folder

# OS Release Things
src_deb32_osrelease = '/osrelease/deb_32'
src_dev32_osrelease = '/osrelease/dev_32'
src_deb64_osrelease = '/osrelease/deb_64'
src_dev64_osrelease = '/osrelease/dev_64'
src_debarm_osrelease = '/osrelease/deb_arm'
src_devarm_osrelease = '/osrelease/dev_arm'
des_osrelease = '/usr/lib'
des_osrelease_opt = '/opt/pepconf'

# Boot Splash things
src_deb32_slpash = '/splash/deb_32/boot'
src_dev32_slpash = '/splash/dev_32/boot'
src_deb64_slpash = '/splash/deb_64/boot'
src_dev64_slpash = '/splash/dev_64/boot'
src_debarm_slpash = '/splash/deb_arm/boot'
src_devarm_slpash = '/splash/dev_arm/boot'
des_splash = '/fusato/config/includes.binary/boot'


src_deb32_isolinux = '/splash/deb_32/isolinux'
src_dev32_isolinux = '/splash/dev_32/isolinux'
src_deb64_isolinux = '/splash/deb_64/isolinux'
src_dev64_isolinux = '/splash/dev_32/isolinux'
src_debarm_isolinux = '/splash/deb_arm/isolinux'
src_devarm_isolinux = '/splash/dev_arm/isolinux'
des_isolinux = '/fusato/config/includes.binary/isolinux'

# The actual Splash images
src_deb_splash_image = '/splash/deb_splash'
src_dev_splash_image = '/splash/dev_splash'
des_splash_image_isolinux = '/fusato/config/includes.binary/isolinux'
des_splash_image_grub = '/fusato/config/includes.binary/boot/grub'

# Live Boot Theme
src_deb_live_theme = '/splash/deb_live-theme'
src_dev_live_theme = '/splash/deb_live-theme'
des_live_theme = '/fusato/config/includes.binary/boot/grub'

# MultiMedia things
src_deb32_multi = '/multimedia/deb_32'
src_dev32_multi = '/multimedia/dev_32'
src_deb64_multi = '/multimedia/deb_64'
src_dev64_multi = '/multimedia/dev_64'
src_debarm_multi = '/multimedia/deb_arm'
src_devarm_multi = '/multimedia/dev_arm'
des_archives = '/fusato/config/archives'

# Grub things
src_deb_grub_theme = '/grub/deb_themes'
src_dev_grub_theme = '/grub/dev_themes'
des_grub_theme = '/boot/grub/themes'

src_deb32_grub_etc = '/grub/deb_64/grub'
src_dev32_grub_etc = '/grub/dev_32/grub'
src_deb64_grub_etc = '/grub/deb_64/grub'
src_dev64_grub_etc = '/grub/dev_64/grub'
src_debarm_grub_etc = '/grub/deb_arm/grub'
src_devarm_grub_etc = '/grub/dev_arm/grub'
des_grub_etc = '/etc/default/grub'

# Calamares things
src_brand = '/calamares_settings/branding/peppermint'
des_brand = '/etc/calamares/branding/peppermint'

src_deb32_modules = '/calamares_settings/deb_32/calamares/modules'
src_dev32_modules = '/calamares_settings/dev_32/calamares/modules'
src_deb64_modules = '/calamares_settings/deb_64/calamares/modules'
src_dev64_modules = '/calamares_settings/dev_64/calamares/modules'
src_debarm_modules = '/calamares_settings/deb_arm/calamares/modules'
src_devarm_modules = '/calamares_settings/dev_arm/calamares/modules'
des_modules = '/etc/calamares/modules'

# Files
# Calamares Files
src_deb32_settings = '/calamares_settings/deb_32/calamares/settings.conf'
src_dev32_settings = '/calamares_settings/dev_32/calamares/settings.conf'
src_deb64_settings = '/calamares_settings/deb_64/calamares/settings.conf'
src_dev64_settings = '/calamares_settings/dev_64/calamares/settings.conf'
src_debarm_settings = '/calamares_settings/deb_arm/calamares/settings.conf'
src_devarm_settings = '/calamares_settings/dev_arm/calamares/settings.conf'
des_setttings = '/etc/calamares/settings.conf'

src_deb32_installer = '/calamares_settings/deb_32/install-peppermint'
src_dev32_installer = '/calamares_settings/dev_32/install-peppermint'
src_deb64_installer = '/calamares_settings/deb_64/install-peppermint'
src_dev64_installer = '/calamares_settings/dev_64/install-peppermint'
src_debarm_installer = '/calamares_settings/deb_arm/install-peppermint'
src_devarm_installer = '/calamares_settings/dev_arm/install-peppermint'
des_installer = '/usr/bin/install-peppermint'

src_deb32_sourcesfinal = '/calamares_settings/deb_32/sources-final'
src_dev32_sourcesfinal = '/calamares_settings/dev_32/sources-final'
src_deb64_sourcesfinal = '/calamares_settings/deb_64/sources-final'
src_dev64_sourcesfinal = '/calamares_settings/dev_64/sources-final'
src_debarm_sourcesfinal = '/calamares_settings/deb_arm/sources-final'
src_devarm_sourcesfinal = '/calamares_settings/dev_arm/sources-final'
des_sourcesfinal = '/usr/sbin/sources-final'

src_deb32_bootloader = '/calamares_settings/deb_32/bootloader-config'
src_dev32_bootloader = '/calamares_settings/dev_32/bootloader-config'
src_deb64_bootloader = '/calamares_settings/deb_64/bootloader-config'
src_dev64_bootloader = '/calamares_settings/dev_64/bootloader-config'
src_debarm_bootloader = '/calamares_settings/deb_arm/bootloader-config'
src_devarm_bootloader = '/calamares_settings/dev_arm/bootloader-config'
des_bootloader = '/usr/sbin/bootloader-config'

src_deb32_netinstall ='/calamares_settings/deb_32/calamares/netinstall-packages'
src_dev32_netinstall ='/calamares_settings/dev_32/calamares/netinstall-packages'
src_deb64_netinstall ='/calamares_settings/deb_64/calamares/netinstall-packages'
src_dev64_netinstall ='/calamares_settings/dev_64/calamares/netinstall-packages'
src_debarm_netinstall ='/calamares_settings/deb_arm/calamares/netinstall-packages'
src_devarm_netinstall ='/calamares_settings/dev_arm/calamares/netinstall-packages'
des_netinstall = '/etc/calamares/netinstall-packages'

src_icon = '/calamares_settings/adddesktopicon/add-calamares-desktop-icon'
des_icon = '/usr/bin/add-calamares-desktop-icon'

# Source things
src_deb32_sourcelist = '/sources/deb_32/sources.list'
src_dev32_sourcelist = '/sources/dev_32/sources.list'
src_deb64_sourcelist = '/sources/deb_64/sources.list'
src_dev64_sourcelist = '/sources/dev_64/sources.list'
src_debarm_sourcelist = '/sources/deb_arm/sources.list'
src_devarm_sourcelist = '/sources/dev_arm/sources.list'
des_sourcelist = '/opt/pepconf/sources.list'

# Main line ID File
src_main_line_pep_id = '/id_files/pep_id'
des_main_line_pep_id = '/usr/share/peppermint/pep_id'
